<h2>Product List</h2>

<div *ngIf="products.length === 0" class="empty">
  No Products
</div>

<div *ngIf="products.length > 0">
  <table>
    <thead>
      <tr>
        <th>ID</th>
        <th>Name</th>
        <th>Price</th>
        <th>Count</th>
        <th>Image</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let p of products">
        <td>{{p.id}}</td>
        <td>{{p.name}}</td>
        <td>{{p.price | currency:'SEK'}}</td>
        <td>{{p.count | number:'1.0-0'}}</td>
        <td>
          <img [src]="p.image" [alt]="p.name" />
        </td>
      </tr>
    </tbody>
  </table>
</div>
